Page MenuHomePhabricator

[Regression wmf18] Reference and template dialog boxes display 'Apply changes' button as active upon opening
Closed, ResolvedPublic1 Estimated Story Points

Description

Reference dialog displays active 'Apply changes' in beta, test2, and production.
Transclusion displays active 'Apply changes' in beta and test2.

The issue was previously resolved:
https://phabricator.wikimedia.org/T76928
The reference dialog should disable the "Apply changes" button until a change is present
https://phabricator.wikimedia.org/T76926
The transclusion dialog should disable the "Apply changes" button until a change is present
The tracking summary: https://phabricator.wikimedia.org/T57976

Event Timeline

Etonkovidova raised the priority of this task from to Medium.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 12:02 AM

Change 192750 had a related patch set uploaded (by Alex Monk):
Check whether template is altered before allowing apply

https://gerrit.wikimedia.org/r/192750

Krenair claimed this task.Feb 25 2015, 2:16 AM

Change 192813 had a related patch set uploaded (by Jforrester):
Check whether template is altered before allowing apply

https://gerrit.wikimedia.org/r/192813

Change 192750 merged by jenkins-bot:
Check whether template is altered before allowing apply

https://gerrit.wikimedia.org/r/192750

Change 192813 merged by jenkins-bot:
Check whether template is altered before allowing apply

https://gerrit.wikimedia.org/r/192813

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:08 PM